Bug 4794 - Feature request: Support for all display specifiers
Feature request: Support for all display specifiers
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
unspecified
All All
: P3 enhancement
: ---
Assigned To: Andrew Bartlett
Matthias Dieter Wallnöfer
:
Depends on:
Blocks: 6600
  Show dependency treegraph
 
Reported: 2007-07-17 14:51 UTC by Matthias Dieter Wallnöfer
Modified: 2009-09-07 01:35 UTC (History)
0 users

See Also:


Attachments
Display specifiers (13.63 KB, text/plain)
2007-07-27 17:23 UTC, Matthias Dieter Wallnöfer
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Dieter Wallnöfer 2007-07-17 14:51:59 UTC
The name of the subobject "CN=409" under CN=DisplaySpecifiers,CN=Configuration,<Domainname> is wrong. It should be "CN=407". So Active Directory Users and Computers finally shows user attributes. It's located in the file display_specifiers.ldif under setup/.
Comment 1 Andrew Bartlett 2007-07-17 21:15:10 UTC
Looking at

http://blogs.msdn.com/michkap/archive/2007/03/23/1937085.aspx

As such, I think the correct fix is to determine an automatic way to generate these for any codepage.  
Comment 2 Matthias Dieter Wallnöfer 2007-07-18 12:57:33 UTC
(In reply to comment #1)
> Looking at
> 
> http://blogs.msdn.com/michkap/archive/2007/03/23/1937085.aspx
> 
> As such, I think the correct fix is to determine an automatic way to generate
> these for any codepage.  
> 

Yes, you are right. I've used the ADUC MMC on a client with German language, where the language code in the AD must be "407". Hopefully there is a way to fix this nasty issue.
Comment 3 Matthias Dieter Wallnöfer 2007-07-27 10:53:33 UTC
I think, there could be now the right time to add more display specifiers. I see for example, that now also the MMC AD Sites and Services begins to work correct.
For the codepage problems, I would copy the same DS under each important codepage for the moment, until we have found a better solution. But in fact does Microsoft generate them automatically? 
Comment 4 Matthias Dieter Wallnöfer 2007-07-27 17:23:27 UTC
Created attachment 2844 [details]
Display specifiers

I've enhanced the display specifiers ldif file to support more editing in MMC with classes, that exist in SAMBA4's schema.
Comment 5 Matthias Dieter Wallnöfer 2007-08-23 01:01:21 UTC
Since it's not really a bug, I'll mark it as a feature request.
Comment 6 Matthias Dieter Wallnöfer 2008-01-07 16:55:47 UTC
The problem with the codepages seems to be fixed now. Andrew, but have you checked  my enhancement patch here?
Comment 7 Matthias Dieter Wallnöfer 2008-08-07 12:29:18 UTC
I think we fixed now the problem with the display specifiers. So, should I close this bug? What do you think Andrew?
Comment 8 Matthias Dieter Wallnöfer 2008-08-14 11:31:45 UTC
Okay, I'm going to close this.
Comment 9 Matthias Dieter Wallnöfer 2009-08-01 13:33:01 UTC
I reopen this bug since it deals with the display specifiers which still is an issue for us. I'll close this when we have *all* display specifiers integrated in SAMBA 4.
Comment 10 Matthias Dieter Wallnöfer 2009-09-07 01:35:27 UTC
All display specifiers imported - therefore fixed.